/*
 * load.h
 *
 * Created: 25.5.2013 18:38:12
 *  Author: xkralj07
 */ 


#ifndef LOAD_H_
#define LOAD_H_

#define LOAD_ON_PIN			PINA2
#define LOAD_OFF_PIN		PINA3

#define LoadInit()		DDRA |= _BV(LOAD_ON_PIN) | _BV(LOAD_OFF_PIN)

#define LoadOnEna()						\
do {									\
	PORTA &= ~_BV(LOAD_OFF_PIN);		\
	PORTA |=  _BV(LOAD_ON_PIN);			\
} while (0)

#define LoadOnDis()		PORTA = PORTA & ~_BV(LOAD_ON_PIN)

#define LoadOffEna()					\
do {									\
	PORTA &= ~_BV(LOAD_ON_PIN);			\
	PORTA |=  _BV(LOAD_OFF_PIN);		\
} while (0)

#define LoadOffDis()	PORTA = PORTA & ~_BV(LOAD_OFF_PIN)

#define IsLoadOn()		(PORTA & _BV(LOAD_ON_PIN))



#endif /* LOAD_H_ */